<div>You could distribute your software with the 4053 runtime in the same folder of the binaries and it will pick those instead of the ones installed in the target system.</div><br><div class="gmail_quote">On Fri, Dec 24, 2010 at 11:39 AM, ebyard <span dir="ltr"><<a href="mailto:e_byard@yahoo.co.uk">e_byard@yahoo.co.uk</a>></span> wrote:<br>

<blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex;">




        <div>

        <div>I'm writing an app which will go on an industrial system (or, hopefully, 6000 of them) and all the systems have version 8.0.50727.42 of the Microsoft VC80 (2005) redist installed. <br>
<br>
The SDL 1.3 libraries (image, especially) seem to link 8.0.50727.4053 which is installed on my system (as is version .42, btw).<br>
Of course, when you try to run it on the target system, it won't start, complaining that the Windows SxS (side by side) version isn't installed. Which is true.<br>
<br>
Most people will say "install the latest redist file on the target", but NONE of them can be updated. This is a physical impossibility. My software HAS to work with 8.0.50727.42.<br>
<br>
A google search brings some useless help from MS. Does anyone know anything I can do to resolve this?<br>
<br>
Thanks<br>
Ed</div>
        </div>

<br>_______________________________________________<br>
SDL mailing list<br>
<a href="mailto:SDL@lists.libsdl.org">SDL@lists.libsdl.org</a><br>
<a href="http://lists.libsdl.org/listinfo.cgi/sdl-libsdl.org" target="_blank">http://lists.libsdl.org/listinfo.cgi/sdl-libsdl.org</a><br>
<br></blockquote></div><br>